{extend name="public/container"}
{block name="head_top"}

{/block}
{block name="content"}
<style>
    .btn-outline{
        border:none;
    }
    .btn-outline:hover{
        background-color: #0e9aef;
        color: #fff;
    }
    .layui-form-item .layui-btn {
        margin-top: 5px;
        margin-right: 10px;
    }
    .layui-btn-primary{
        margin-right: 10px;
        margin-left: 0!important;
    }
    label{
        margin-bottom: 0!important;
        margin-top: 4px;
    }
</style>
<div class="layui-fluid">
    <div class="layui-row layui-col-space15" id="app">
        <!--搜索条件-->
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-header">搜索条件</div>
                <div class="layui-card-body">

                    <form class="layui-form layui-form-pane" action="">
                        <div class="layui-form-item">
                            <div class="layui-inline">
                                <label class="layui-form-label" style="top: -4.5px">搜索</label>
                                <div class="layui-input-block">
                                    <input type="text" name="store_name" class="layui-input" placeholder="商品名称,编号">
                                </div>
                            </div>
                            <div class="layui-inline">
                                <div class="layui-input-inline">
                                    <button class="layui-btn layui-btn-sm layui-btn-normal" lay-submit="search" lay-filter="search">
                                        <i class="layui-icon layui-icon-search"></i>搜索</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <!-- 中间详细信息-->
        <div :class="item.col!=undefined ? 'layui-col-sm'+item.col+' '+'layui-col-md'+item.col:'layui-col-sm6 layui-col-md3'"
             v-for="item in badge" v-cloak="" v-if="item.count > 0">
        </div>
        <!--enb-->
    </div>
    <!--列表-->
    <div class="layui-row layui-col-space15">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-header">商品列表</div>
                <div class="layui-card-body">
                    <div class="layui-btn-container" id="container-action">
                        <a class="layui-btn layui-btn-sm" href="{:Url('auction.auction/product_create?id='.$id)}">添加商品</a>
<!--                        <button class="layui-btn layui-btn-sm" data-type="del_auction">批量删除</button>-->
                    </div>
                    <table class="layui-hide" id="List" lay-filter="List"></table>


                    <script type="text/html" id="image">
                        <img style="cursor: pointer" lay-event="open_image" src="{{d.image}}">
                    </script>
                    <script type="text/html" id="is_show">
                        <input type='checkbox' name='id' lay-skin='switch' value="{{d.id}}" lay-filter='is_show' lay-text='上架|下架'  {{ d.is_show  == 1 ? 'checked' : '' }}>
                    </script>
                    <script type="text/html" id="act">
                        <button type="button" class="layui-btn layui-btn-xs layui-btn-normal" lay-event='edit'>
                            编辑
                        </button>
                        <button type="button" class="layui-btn layui-btn-xs layui-btn-danger" lay-event='delete' id="">
                            删除
                        </button>

                    </script>
                </div>
            </div>
        </div>
    </div>
    <!--end-->
</div>
<script src="{__ADMIN_PATH}js/layuiList.js"></script>
{/block}
{block name="script"}
<script>
    //实例化form
    layList.form.render();
    layList.tableList('List', "{:Url('product_list')}?id={$id}", function () {
        return [
            {type: 'checkbox'},
            {field: 'id', title: 'ID', sort: true, event: 'id', width: '5%', templet: '#id'},
            {field: 'image', title: '封面', templet: '#image', align: 'center',width: '5%'},
            {field: 'name', title: '商品名', templet: '#nickname',  align: 'center'},
            {field: 'au_name', title: '场次', templet: '#auction_name',  align: 'center'},
            {field: 'nickname', title: '拥有人', templet: '#nickname',  align: 'center'},
            {field: 'price', title: '原价', templet: '#price', align: 'center',style : 'color: #DC143C;'},
            {field: 'hanging_price', title: '挂售价格', templet: '#hanging_price', align: 'center',style : 'color: #DC143C;'},
            {field: 'is_show', title: '状态', templet: '#is_show', align: 'center'},
            {field: 'rise', title: '涨幅%', templet: '#rise', align: 'center'},
            {field: 'deduct', title: '扣除%', templet: '#deduct', align: 'center'},
            {field: 'sort', title: '排序', templet: '#sort', align: 'center'},
            {field: 'create_time', title: '创建时间', templet: '#create_time', align: 'center'},
            {field: 'right', title: '操作', align: 'center', toolbar: '#act'},
        ];
    });
    //点击事件绑定
    layList.tool(function (event,data,obj) {
        switch (event) {
            case 'delete':
                var url=layList.U({c:'auction.auction_product',a:'delete',q:{id:data.id}});
                var code = {title:"操作提示",text:"确定将该商品移入回收站吗？",type:'info',confirm:'是的，移入回收站'};
                $eb.$swal('delete',function(){
                    $eb.axios.get(url).then(function(res){
                        if(res.status == 200 && res.data.code == 200) {
                            $eb.$swal('success',res.data.msg);
                            obj.del();
                            location.reload();
                        }else
                            return Promise.reject(res.data.msg || '删除失败')
                    }).catch(function(err){
                        $eb.$swal('error',err);
                    });
                },code)
                break;
            case 'open_image':
                $eb.openImage(data.image);
                break;
            case 'edit':
                location.href = layList.U({a:'product_edit',q:{id:data.id,auction_id:{$id}}});
                break;
        }
    })

    //查询
    layList.search('search',function(where){
        console.log(111);
        layList.reload(where,true);
    });

    //改状态
    layList.switch('is_show',function (odj,value) {
        if(odj.elem.checked==true){
            layList.baseGet(layList.Url({c:'auction.auctionProduct',a:'set_status',p:{status:1,id:value}}),function (res) {
                layList.msg(res.msg, function () {
                    layList.reload();
                });
            });
        }else{
            layList.baseGet(layList.Url({c:'auction.auctionProduct',a:'set_status',p:{status:0,id:value}}),function (res) {
                layList.msg(res.msg, function () {
                    layList.reload();
                });
            });
        }
    });
</script>
{/block}